var WshShell =  WScript.CreateObject("WScript.Shell");
var title = "FtpUpload Setup";
if( 6 != WshShell.Popup( "Do you want to install the Raduga FtpUpload add-in?", 0, title, 3 ) )
{
    WshShell.Popup( "Installation aborted", 0, title, 0 );
    WScript.Quit();
}

if( 6 != WshShell.Popup( "Did you read the Readme.txt file?", 0, title, 3 ) )
{
    WshShell.Popup( "Installation aborted", 0, title, 0 );
    WScript.Quit();
}

regPath = "HKCU\\Software\\WoLoSoft\\Raduga\\Macros\\FtpUpload\\"
WshShell.RegWrite( regPath + "FileName", WshShell.CurrentDirectory + "\\FtpUpload.js", "REG_SZ" );
WshShell.RegWrite( regPath + "Startup", 1, "REG_BINARY" );

WshShell.Popup( "Installation complete", 0, title, 0 );
